V3 Loan Pipeline (with Pagination)

Retrieves pages of loan IDs (GUIDs) and specified fields from loans on the Pipeline.

Usage Notes

  • The limit query parameter may be overridden by the server. The server will calculate the optimal limit depending upon the requested number of loans and fields.
  • Only the fields attribute is accepted in the request body.
  • canonicalName in “Loan Pipeline” API maps to the canonicalName in “Get Canonical Names” response payload.
  • The number of loans in a page can be retrieved by reading the response.
  • A maximum of 1000 loans are returned per page.
  • The Precision element applies only to date/dateTime values.
Query Params
integer
required
Defaults to 0

Zero-based starting index. The default is zero.

integer
required

The maximum number of items to return in a page. Refer to the Usage Notes in this endpoint page.

string

Additional data to include. The only possible value at this time is LockInfo.

boolean
Defaults to true

Indicates whether to ignore fields that are invalid in the request. Default is true. If specified as false, an error will be thrown if invalid fields are specified in the request payload.

Body Params

The following attributes make up the LoanPipelineQueryContract object.

loanIds
array of strings

List of loan IDs to return.

loanIds
fields
array of strings

List of fields to return.

fields
sortOrder
array of objects

List of fields with more details like sort order as described by the LoanPipelineFieldContract.

sortOrder
filter
object

Criteria to filter loans as described by the QueryCriterionContract.

string
Defaults to Internal

Organization type to filter on. Possible values are Internal and TPO. The default is Internal.

tpoId
object

External organization identifier as described in the EntityReferenceContract, if the request is to retrieve TPO loans.

string
Defaults to AllLoans

Loan Ownership. Possible values are AllLoans and MyLoans. The default is AllLoans.

loanFolders
array of strings

A list of folder names that a user can pass in the request body to perform a search within the specified folders.

loanFolders
boolean

Use to indicate if the query should include archived loans.

Headers
string
required

Bearer token

Responses

400

Bad Request

403

Forbidden

404

Not Found

409

Conflict

Language
URL
LoadingLoading…
Response
Choose an example:
application/json